
CoCoALib - Bug #1773

CyclotomicFactorIndexes: gave wrong answer

09 Dec 2023 13:45 - John Abbott

Status: Closed Start date: 09 Dec 2023

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 0.99 hour

Target version: CoCoALib-0.99850 Spent time: 0.95 hour

Description

I got a wrong answer from CyclotomicFactorIndexes; it missed the index 6

/**/ g := cyclotomic(3,x) * cyclotomic(4,x) * cyclotomic(6,x);

/**/ CyclotomicFactorIndexes(g);

[3,  4]

History

#1 - 09 Dec 2023 14:02 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 80

I think I have fixed it now.  I'd better add a test.

#2 - 22 Dec 2023 21:30 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 0.99 h

I have added an exbug test.

Closing.
